{{/*
    Creates a code block with syntax highlighting done on the client side.
    Uses Prism for highlighting.

    Supported parameters are:
    - [Required] language, as in language-* for Prism
    - [Optional] lines_to_highlight, as in data-line="*" of the diff plugin 
*/}}

{{ $language := (.Get 0) }}
{{ if $language }}
    {{/* diff-highlight is not working for this version it seems
        {{ if (eq $language "diff") }}
        {{ $language = "diff diff-highlight"}}
        {{ end }}
    */}}
    
    <pre class="line-numbers language-{{ $language }}" {{ with .Get 1 }}data-line="{{.}}"{{ end }}><code class="language-{{ $language }}">
        {{- trim .Inner "\n" -}}
    </code></pre>
{{ else }}
    {{ errorf "Missing argument 'language' for shortcode 'code'" }}
{{ end }}